Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## gudusoft.gsqlparser.stmt.teradata
Class TExpandOnClause

    java.lang.Object
      gudusoft.gsqlparser.nodes.TParseTreeNode
          gudusoft.gsqlparser.stmt.teradata.TExpandOnClause

All Implemented Interfaces:
  Visitable

    public class TExpandOnClause

extends TParseTreeNode

Teradata expand on clause

Constructor Summary
`TExpandOnClause()`

Method Summary
`void` | `doParse(TCustomSqlStatement psql, ESqlClause plocation)` analyze this node
`TObjectName` | `getAnchorName()`
`TExpression` | `getByIntervalLiteral()`
`TAliasClause` | `getExpandColumnAlias()`
`TExpression` | `getExpandExpression()`
`TExpression` | `getPeriodExpression()`
`TConstant` | `getTimeLiteral()`
`void` | `init(java.lang.Object arg1, java.lang.Object arg2)`
`void` | `setByClause(TDummy dummy)`
`void` | `setPeriodExpression(TExpression periodExpression)`

Methods inherited from class gudusoft.gsqlparser.nodes.TParseTreeNode
`accept, addAllMyTokensToTokenList, getColumnNo, getDummyTag, getEndToken, getGsqlparser, getLineNo, getNodeType, getStartToken, init, init, init, init, init, setDummyTag, setEndToken, setEndToken, setGsqlparser, setNodeType, setStartToken, setStartToken, setString, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### TExpandOnClause

    public TExpandOnClause()

Method Detail

### init

    public void init(java.lang.Object arg1,
                     java.lang.Object arg2)

  Overrides:
    `init` in class `TParseTreeNode`

### getExpandExpression

    public TExpression getExpandExpression()

### getExpandColumnAlias

    public TAliasClause getExpandColumnAlias()

### getByIntervalLiteral

    public TExpression getByIntervalLiteral()

### getAnchorName

    public TObjectName getAnchorName()

### getTimeLiteral

    public TConstant getTimeLiteral()

### getPeriodExpression

    public TExpression getPeriodExpression()

### setPeriodExpression

    public void setPeriodExpression(TExpression periodExpression)

### setByClause

    public void setByClause(TDummy dummy)

### doParse

    public void doParse(TCustomSqlStatement psql,
                        ESqlClause plocation)

  Description copied from class: `TParseTreeNode`
  analyze this node

  Overrides:
    `doParse` in class `TParseTreeNode`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD